import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
// import pkg from "./package.json";
import { createRequire } from 'node:module'

const require = createRequire(import.meta.url)
const pkg = require('./package.json')

const subpath = "/bugreport/";
export const baseUrl = subpath + "webapp/dist/";

// https://vite.dev/config/
export default defineConfig({
	base: baseUrl,
	plugins: [vue()],
	define: {
		__APP_VERSION__: JSON.stringify(pkg.version),
		__BUILD_DATE__: JSON.stringify(new Date().toISOString()),
		__SUBPATH__: JSON.stringify(subpath),
	},
});
